{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter portrait;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1em;">
        <div align="center" style="border: dashed;line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">
                    GCT ALUMNI SCHOLARSHIP RESULT PDF
                </span><br>
            <span style="font-size: 1.3em;"><strong>Rank list for {% if context.category == 0 %}Differently Abled Students{% elif context.category == 1 %}Students with 1 parent{% elif context.category == 2 %}Students with no parent{% else %}General Category Students{% endif %}</strong></span>
           
        </div>

        <table border="1" style="border-width: thin; height: 30px;padding-top: 30%">
            <thead>
                        <tr>
                            <th>Overall Rank</th>
                            <th>Application Number</th>
                            <th>Roll No</th>
                            <th>Name</th>
                            <th>Weightage</th>
                            <th>Branch</th>
                            <th>Year</th>
                        </tr>
                        </thead>
            <tbody>
            {% for entry in context.List %}
            <tr>
            <td>{{ entry.rank }}</td>
            <td>{{ entry.appl.pk }}</td>
            <td>{{ entry.appl.student.roll_no }}</td>
            <td>{{ entry.appl.student }}</td>
            <td>{{ entry.appl.weightage }}</td>
            <td>{{ entry.appl.student.department }}</td>
            <td>{{ entry.year }}</td>
            </tr>
            {% endfor %}
       </tbody>
        </table>

    {% endif %}
{% endblock %}
